%define real_name DBD-mysql
%define real_version 3.0007
%define perl_version 5.8.7
%define with_ssl 1

Summary: DBD Mysql perl Emulation Layer
Name: perl-dbd-mysql
Version: 3.00.07
Release: 3tr
Source:	ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/DBD/%{real_name}-%{real_version}.tar.gz
License: GPL
Group: Trustix Contrib
Requires: perl >= %{perl_version}, mysql-libs >= 4.1.13, perl-dbi, openssl
BuildRequires: mysql-devel >= 4.1.13, perl-dbi
BuildRequires: zlib-devel
%if %{with_ssl}
Requires:   openssl
BuildRequires: openssl-devel
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

%description
DBD::mysql is an interface driver for connecting the DBMS independent
Perl-API DBI to the mysql DBMS. When you want to use mysql from
within perl, DBI and DBD::mysql are your best choice: Unlike "mysqlperl",
another option, this is based on a common standard, so your sources
will easily be portable to other DBMS's.


%prep
%setup -q -n %{real_name}-%{real_version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=site \
%if %{with_ssl}
    --ssl
%endif
    
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}
rm $RPM_BUILD_ROOT/usr/lib/perl5/5.8.7/i586-linux-thread-multi/perllocal.pod

%files
%defattr(-,root,root,0755)
%doc README ChangeLog
%{siteperl}/i586-linux-thread-multi/Bundle/DBD/*.pm
%{siteperl}/i586-linux-thread-multi/DBD/*.pm
%{siteperl}/i586-linux-thread-multi/DBD/mysql
%{siteperl}/i586-linux-thread-multi/Mysql
%{siteperl}/i586-linux-thread-multi/*.pm
%{siteperl}/i586-linux-thread-multi/auto/DBD/
%{_mandir}/man3/*


%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Fri Jan 19 2007 Nived Gopalan <nived at trustix dot org> 3.00.07-2tr
- Rebuilt with mysql 5.0.x. 

* Mon Sep 11 2006 Nived Gopalan <nived at trustix dot org> 3.00.07-1tr
- New Upstream.

* Wed Jul 26 2006 Nived Gopalan <nived at trustix dot org> 3.00.06-2tr
- Moved to official repos. 

* Thu Jun 15 2006 Nived Gopalan <nived at trustix dot org> 3.00.06-1ni
- New Upstream.
- Fixed directory permissions, Bug #1697

* Wed Aug 17 2005 Nived Gopalan <nived at comodo dot com> 3.00.02-1ni
- Initial build for TSL-3.0

